# Following modules bring no additionnal dependencies
# Other ones go into separate packages
%define base_modules	mod_access.so,mod_accesslog.so,mod_alias.so,mod_cgi.so,mod_dirlisting.so,mod_evhost.so,mod_expire.so,mod_extforward.so,mod_fastcgi.so,mod_flv_streaming.so,mod_indexfile.so,mod_openssl.so,mod_proxy.so,mod_redirect.so,mod_rewrite.so,mod_rrdtool.so,mod_scgi.so,mod_secdownload.so,mod_setenv.so,mod_simple_vhost.so,mod_sockproxy.so,mod_vhostdb.so,mod_wstunnel.so,mod_ssi.so,mod_staticfile.so,mod_status.so,mod_userdir.so,mod_usertrack.so,mod_evasive.so

Name:		lighttpd
Version:	1.4.59
%define subrel 2
Release:	%mkrel 1
Summary:	A fast webserver with minimal memory-footprint
License:	BSD
Group:		System/Servers
URL:		http://lighttpd.net/
Source0:	http://download.lighttpd.net/lighttpd/releases-1.4.x/%{name}-%{version}.tar.xz
Source2:	lighttpd.service
Source3:	lighttpd.tmpfiles
Source4:	php.d-lighttpd.ini
Patch0:		lighttpd-defaultroot.patch
Patch2:		lighttpd-1.4.41-ssi-index-page-fix.patch
Patch3:		core-101-upgrade-fails-if-Content-Length.patch
Patch4:		mod_auth-close-HTTP-2-connection-after-bad-pass.patch
Patch5:		mod_extforward-fix-out-of-bounds-OOB-write.patch
Patch6:		971773f1fae600074b46ef64f3ca1f76c227985f.patch
Patch7:		b18de6f9264f914f7bf493abd3b6059343548e50.patch
BuildRequires:	attr-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	gdbm-devel
BuildRequires:	pkgconfig(geoip)
BuildRequires:	pkgconfig(lua)
BuildRequires:	pkgconfig(libmemcached)
BuildRequires:	mysql-devel
BuildRequires:  pkgconfig(nettle)
BuildRequires:	openldap-devel
BuildRequires:	pkgconfig(libpcre)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(zlib)
Requires(pre):	webserver-base
Requires:       webserver-base
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Provides:	webserver
Obsoletes:	%{name}-mod_compress < 1.4.56

%description
Security, speed, compliance, and flexibility--all of these describe LightTPD
which is rapidly redefining efficiency of a webserver; as it is designed and
optimized for high performance environments. With a small memory
footprint compared to other web-servers, effective management of the
cpu-load, and advanced feature set (FastCGI, CGI, Auth,
Output-Compression, URL-Rewriting and many more) LightTPD is the
perfect solution for every server that is suffering load problems.

This packages contains the server and base modules :
%(for mod in $(echo %base_modules | tr ',' '\n'); do echo ${mod%%.so}; done)

%package mod_ajp13
Summary:	AJPv13 Tomcat connector module for %{name}
Group:		System/Servers
Requires:	%{name}

%description mod_ajp13
AJPv13 Tomcat connector module for %{name}.

%package mod_auth
Summary:	Authentification module for %{name}
Group:		System/Servers
Requires:	%{name}
Requires:	%{name}-mod_authn_file = %{version}

%description mod_auth
lighttpd supportes both authentication method described by RFC 2617:

 - basic
 - digest

Depending on the method lighttpd provides various way to store the credentials
used for the authentication.

for basic auth:
 - plain (mod_authn_file)
 - htpasswd (mod_authn_file)
 - htdigest (mod_authn_file)
 - ldap (mod_authn_ldap)
 - mysql (mod_authn_mysql)

for digest auth:
 - plain (mod_authn_file)
 - htdigest (mod_authn_file)

%package mod_authn_file
Summary:	Authentication module for lighttpd that uses files
Group:		System/Servers
Requires:	%{name}

%description mod_authn_file
Authentication module for lighttpd that uses files.

%package mod_authn_ldap
Summary:        Authentication module for lighttpd that uses a LDAP
Group:          System/Servers
Requires:       %{name}

%description mod_authn_ldap
Authentication module for lighttpd that uses a LDAP.

%package mod_authn_mysql
Summary:	Authentication module for lighttpd that uses a MySQL database
Group:		System/Servers
Requires:	%{name}

%description mod_authn_mysql
Authentication module for lighttpd that uses a MySQL database.

%package mod_cml
Summary:	CML (Cache Meta Language) module for %{name}
Group:		System/Servers
Requires:	%{name}

%description mod_cml
CML (Cache Meta Language) is a Meta language to describe the dependencies
of a page at one side and building a page from its fragments on the other side
using LUA.

%package mod_deflate
Summary:	Output Compression module for %{name}
Group:		System/Servers
Requires:	%{name}

%description mod_deflate
Output compression reduces the network load and can improve the
overall throughput of the webserver.

mod_deflate differs from mod_compress in that mod_deflate can compress
any output from lighttpd static or dynamic. mod_deflate does not support
caching compressed output like mod_compress.

%package mod_mysql_vhost
Summary:	MySQL-based vhosting module for %{name}
Group:		System/Servers
Requires:	%{name}

%description mod_mysql_vhost
With MySQL-based vhosting you can store the path to a given
host's document root in a MySQL database.

%package mod_trigger_b4_dl
Summary:	Trigger before Download module for %{name}
Group:		System/Servers
Requires:	%{name}

%description mod_trigger_b4_dl
Anti Hotlinking:
 - if user requests ''download-url'' directly, the request is denied
   and he is redirected to ''deny-url'
 - if user visits ''trigger-url'' before requesting ''download-url'',
    access is granted
 - if user visits ''download-url'' again after ''trigger-timeout'' has
   elapsed, the request is denied and he is redirected to ''deny-url''

The trigger information is either stored locally in a gdbm file or
remotely in memcached.

%package mod_webdav
Summary:	WebDAV module for %{name}
Group:		System/Servers
Requires:	%{name}

%description mod_webdav
The WebDAV module for %{name} is a very minimalistic implementation of
RFC 2518.

%package mod_magnet
Summary:	Module to control the request handling in %{name}
Group:		System/Servers
Requires:	%{name}

%description mod_magnet
mod_magnet can attract a request in several stages in the request-handling.

* either at the same level as mod_rewrite, before any parsing of the URL is
  done
* or at a later stage, when the doc-root is known and the physical-path is
  already setup

Keep in mind that the magnet is executed in the core of lighty. EVERY long-
running operation is blocking ALL connections in the server. You are warned.
For time-consuming or blocking scripts use mod_fastcgi and friends.

%package mod_geoip
Summary:	Geographic location by IP address module for %{name}
Group:		System/Servers
Requires:	%{name}
Requires:	geoip

%description mod_geoip
The GeoIP module for %{name} allows determination of the geographical
location of a large proportion of requesting IP addresses.

%package mod_uploadprogress
Summary:	Upload progress tracking module for %{name}
Group:		System/Servers
Requires:	%{name}

%description mod_uploadprogress
Upload progress tracking module for %{name}.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure \
  --libdir=%{_libdir}/%{name}/ \
  --with-attr \
  --with-bzip2 \
  --with-gdbm \
  --with-geoip \
  --with-ldap \
  --with-lua \
  --with-memcached \
  --with-mysql \
  --with-nettle \
  --with-openssl \
  --with-pcre \
  --with-webdav-props
%make_build CC_FOR_BUILD=cc CFLAGS_FOR_BUILD='${CFLAGS}' CPPFLAGS_FOR_BUILD='${CPPFLAGS}' \
  LDFLAGS_FOR_BUILD='${LDFLAGS}'

%install
%make_install

install -d -m 755 %{buildroot}%{_unitdir}
install -m 644 %{SOURCE2} %{buildroot}%{_unitdir}

install -d -m 755 %{buildroot}%{_prefix}/lib/tmpfiles.d/
install -m 644 %{SOURCE3} %{buildroot}%{_prefix}/lib/tmpfiles.d/lighttpd.conf

install -d -m 755 %{buildroot}%{_sysconfdir}/php.d
install -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/php.d/lighttpd.ini

install -d -m 755 %{buildroot}%{_sysconfdir}/lighttpd
install -d -m 755 %{buildroot}%{_sysconfdir}/lighttpd/conf.d
install -m 644 doc/config/*.conf %{buildroot}%{_sysconfdir}/lighttpd
install -m 644 doc/config/conf.d/*.conf %{buildroot}%{_sysconfdir}/lighttpd/conf.d

install -d -m 750 %{buildroot}%{_var}/lib/lighttpd/sockets

perl -pi \
    -e 's!.*server.username[\t ]*= .*$!server.username = "apache"!;' \
    -e 's!.*server.groupname[\t ]*= .*$!server.groupname = "apache"!;' \
    -e 's!^server.document-root.*$!server.document-root = "%{_var}/www/html"!;' \
    -e 's!^var.state_dir.*$!var.state_dir   = "/run/lighttpd"!;' \
    -e 's!^server.errorlog.*$!server.errorlog = "%{_logdir}/lighttpd/error.log"!;' \
    %{buildroot}%{_sysconfdir}/lighttpd/lighttpd.conf

perl -pi \
    -e 's!^accesslog.filename.*$!accesslog.filename = "%{_logdir}/lighttpd/access.log"!' \
    %{buildroot}%{_sysconfdir}/lighttpd/conf.d/access_log.conf

sed -i \
    -e '/cgi.fix_pathinfo/d' \
    %{buildroot}%{_sysconfdir}/lighttpd/conf.d/fastcgi.conf

sed -i \
    -e 's!\(.*\"bin-path\"\).*php5.*!\1 => \"/usr/bin/php-fcgi",!g' \
    %{buildroot}%{_sysconfdir}/lighttpd/conf.d/fastcgi.conf

sed -e '1,/^\/\*\*/d' -e '/^ *\*\//,$d' src/mod_geoip.c > geoip.txt
printf ' *\tThis module only works if server.use-ipv6 = "disable" is set\n' >>geoip.txt

mkdir -p %{buildroot}%{_logdir}/lighttpd

mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
cat > %{buildroot}%{_sysconfdir}/logrotate.d/%{name} <<EOF
%{_logdir}/%{name}/*.log {
    size=20M
    rotate 5
    weekly
    missingok
    notifempty
    postrotate
        /usr/bin/killall -HUP lighttpd &>/dev/null || :
    endscript
}
EOF

rm -f %{buildroot}%{_libdir}/%{name}/*.la

echo %{_libdir}/%{name}/{%{base_modules}} | tr ' ' '\n' > base.list
for i in doc/outdated/*.txt
do
	mod=`cat "$i" | tr -d '\\r' | sed -n "s/^Module:.*\\(mod_.*\\)$/\\1/p"`
	if [ -z "$mod" ]
	then
		echo  "%doc $i" >> base.list
	else
		if echo "%{base_modules}" | grep "$mod" > /dev/null
		then
			echo "%doc $i" >> base.list
		else
			echo "%doc $i" >> "$mod"
		fi
	fi
done

%post
# Fix rights on logs after upgrade, else the server can not start
if [ $1 -gt 1 ]; then
	if grep '^server.username = "apache"' %{_sysconfdir}/lighttpd/lighttpd.conf >/dev/null; then
		if [ `stat -c %U /var/log/lighttpd/` != "apache" ]; then
			chown -R apache /var/log/lighttpd/
		fi
	fi
fi
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

%files -f base.list
%doc doc/config/lighttpd.conf README INSTALL NEWS COPYING AUTHORS
%{_unitdir}/lighttpd.service
%{_prefix}/lib/tmpfiles.d/lighttpd.conf
%dir %{_sysconfdir}/lighttpd/
%dir %{_sysconfdir}/lighttpd/conf.d/
%dir %attr(0750,apache,apache) %{_var}/lib/lighttpd/
%dir %attr(0750,apache,apache) %{_var}/lib/lighttpd/sockets/
%config(noreplace) %{_sysconfdir}/lighttpd/*.conf
%config(noreplace) %{_sysconfdir}/lighttpd/conf.d/*.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/php.d/lighttpd.ini
%attr(0755,apache,apache) %{_logdir}/lighttpd
%{_mandir}/*/*
%{_sbindir}/*

%files mod_ajp13
%{_libdir}/%{name}/mod_ajp13.so

%files mod_auth -f mod_auth
%config(noreplace) %{_sysconfdir}/lighttpd/conf.d/auth.conf
%{_libdir}/%{name}/mod_auth.so

%files mod_authn_file
%{_libdir}/%{name}/mod_authn_file.so

%files mod_authn_ldap
%{_libdir}/%{name}/mod_authn_ldap.so
%{_libdir}/%{name}/mod_vhostdb_ldap.so

%files mod_authn_mysql
%{_libdir}/%{name}/mod_authn_mysql.so

%files mod_cml -f mod_cml
%config(noreplace) %{_sysconfdir}/lighttpd/conf.d/cml.conf
%{_libdir}/%{name}/mod_cml.so

%files mod_deflate
%{_libdir}/%{name}/mod_deflate.so

%files mod_mysql_vhost -f mod_mysql_vhost
%config(noreplace) %{_sysconfdir}/lighttpd/conf.d/mysql_vhost.conf
%{_libdir}/%{name}/mod_mysql_vhost.so
%{_libdir}/%{name}/mod_vhostdb_mysql.so

%files mod_trigger_b4_dl -f mod_trigger_b4_dl
%config(noreplace) %{_sysconfdir}/lighttpd/conf.d/trigger_b4_dl.conf
%{_libdir}/%{name}/mod_trigger_b4_dl.so

%files mod_webdav -f mod_webdav
%config(noreplace) %{_sysconfdir}/lighttpd/conf.d/webdav.conf
%{_libdir}/%{name}/mod_webdav.so

%files mod_geoip
%doc geoip.txt
%config(noreplace) %{_sysconfdir}/lighttpd/conf.d/geoip.conf
%{_libdir}/%{name}/mod_geoip.so

%files mod_magnet -f mod_magnet
%config(noreplace) %{_sysconfdir}/lighttpd/conf.d/magnet.conf
%{_libdir}/%{name}/mod_magnet.so

%files mod_uploadprogress
%{_libdir}/%{name}/mod_uploadprogress.so



%changelog
* Thu Sep 29 2022 ns80 <ns80> 1.4.59-1.2.mga8
+ Revision: 1893252
- backport upstream patches for CVE-2022-37797 and CVE-2022-41556 (mga#30912)
- add patches from Debian for CVE-2022-22707 (mga#29877)

* Tue Feb 02 2021 luigiwalser <luigiwalser> 1.4.59-1.mga8
+ Revision: 1674556
- 1.4.59
- add subpackage for new ajp13 module

* Mon Dec 28 2020 luigiwalser <luigiwalser> 1.4.58-1.mga8
+ Revision: 1664478
- 1.4.58

* Thu Dec 17 2020 luigiwalser <luigiwalser> 1.4.57-1.mga8
+ Revision: 1660026
- 1.4.57

* Wed Dec 02 2020 luigiwalser <luigiwalser> 1.4.56-1.mga8
+ Revision: 1651836
- obsolete lighttpd-mod_compress
- 1.4.56
- BR nettle and not gamin

* Fri Sep 18 2020 joequant <joequant> 1.4.55-3.mga8
+ Revision: 1628664
- fix build

* Thu Feb 20 2020 umeabot <umeabot> 1.4.55-2.mga8
+ Revision: 1547308
- Mageia 8 Mass Rebuild

* Fri Feb 07 2020 shlomif <shlomif> 1.4.55-1.mga8
+ Revision: 1487869
- New version 1.4.55
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jul 06 2019 shlomif <shlomif> 1.4.54-1.mga8
+ Revision: 1419122
- New version 1.4.54

* Sun Jan 27 2019 kekepower <kekepower> 1.4.53-1.mga7
+ Revision: 1361510
- Update to version 1.4.53

* Tue Oct 16 2018 kekepower <kekepower> 1.4.51-1.mga7
+ Revision: 1320938
- Update to versin 1.4.51

* Sun Sep 23 2018 umeabot <umeabot> 1.4.50-2.mga7
+ Revision: 1299303
- Mageia 7 Mass Rebuild

* Thu Aug 16 2018 shlomif <shlomif> 1.4.50-1.mga7
+ Revision: 1251932
- New version 1.4.50 ( MGA#23443 )

* Sun Jun 17 2018 luigiwalser <luigiwalser> 1.4.45-4.mga7
+ Revision: 1237482
- rebuild for gdbm

* Sat Dec 23 2017 wally <wally> 1.4.45-3.mga7
+ Revision: 1184224
- rebuild for new mariadb

* Fri Sep 08 2017 guillomovitch <guillomovitch> 1.4.45-2.mga7
+ Revision: 1151903
- rebuild with openssl 1.1

* Sun Jan 29 2017 wally <wally> 1.4.45-1.mga6
+ Revision: 1083971
- new version 1.4.45
- drop unneeded geoip patch
- add patch to include index.shtml as index file when SSI module is enabled (mga#20200)
- add new module pkgs
  * mod_authn_file
  * mod_authn_mysql
  * mod_authn_ldap
  * mod_deflate
  * mod_uploadprogress

* Fri Aug 12 2016 shlomif <shlomif> 1.4.41-1.mga6
+ Revision: 1046011
- Update to 1.4.41 for some security fixes (MGA#19111).

* Fri Mar 25 2016 wally <wally> 1.4.39-4.mga6
+ Revision: 995448
- fix bin-paths in fastcgi.conf default example
- drop note about adding cgi.fix_pathinfo=1 to php.ini as we already ship php.d/lighttpd.ini

* Fri Mar 25 2016 wally <wally> 1.4.39-3.mga6
+ Revision: 995436
- install home_dir and socket_dir
- drop old Mdv era obsoletes/provides

* Wed Mar 02 2016 umeabot <umeabot> 1.4.39-2.mga6
+ Revision: 983609
- Rebuild for openssl

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1.4.39-1.mga6
+ Revision: 919073
- 1.4.39

* Thu Dec 17 2015 shlomif <shlomif> 1.4.38-1.mga6
+ Revision: 911314
- Add a missing source
- New version 1.4.38

* Wed Sep 02 2015 luigiwalser <luigiwalser> 1.4.37-1.mga6
+ Revision: 872170
- 1.4.37

* Fri Aug 07 2015 luigiwalser <luigiwalser> 1.4.36-1.mga6
+ Revision: 861602
- 1.4.36
- rediff patch 1

* Tue May 19 2015 luigiwalser <luigiwalser> 1.4.35-5.mga5
+ Revision: 822403
- systemd apparently does not support double ampersand, using semicolon instead
- service implementation updates from Luca Olivetti:
- drop unused sysconfig file
- use lighttpd-angel to start service so config can be reloaded (mga#15980)
- test config file before starting or reloading lighttpd
- do not daemonize, service type is no longer forking

* Mon May 18 2015 luigiwalser <luigiwalser> 1.4.35-4.mga5
+ Revision: 822339
- use HUP instead of reload for logrotate, reload not supported by service (mga#15948)

* Wed Oct 15 2014 umeabot <umeabot> 1.4.35-3.mga5
+ Revision: 744835
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.35-2.mga5
+ Revision: 681938
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 1.4.35-1.mga5
+ Revision: 670759
- back to lua 5.1
- 1.4.35
- rediff patch 1
- remove upstream patches
+ tv <tv>
- rebuild with lua-5.2

* Wed Mar 12 2014 luigiwalser <luigiwalser> 1.4.33-5.mga5
+ Revision: 602639
- add upstream patch to fix CVE-2014-2323 and CVE-2014-2324

* Mon Nov 18 2013 luigiwalser <luigiwalser> 1.4.33-4.mga4
+ Revision: 551799
- add upstream patch to fix regression in CVE-2013-4508 patch

* Tue Nov 12 2013 luigiwalser <luigiwalser> 1.4.33-3.mga4
+ Revision: 550869
- add upstream patches to fix CVE-2013-4508, CVE-2013-4559, and CVE-2013-4560

* Mon Oct 21 2013 umeabot <umeabot> 1.4.33-2.mga4
+ Revision: 537964
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 fwang <fwang> 1.4.33-1.mga4
+ Revision: 488160
- new version 1.4.33

* Tue Aug 13 2013 luigiwalser <luigiwalser> 1.4.32-8.mga4
+ Revision: 466004
- use apache user for tmpfiles config
- remove unneeded patch

* Mon Aug 12 2013 tmb <tmb> 1.4.32-7.mga4
+ Revision: 465918
- fix state_dir config

* Mon Aug 12 2013 luigiwalser <luigiwalser> 1.4.32-6.mga4
+ Revision: 465795
- follow system service policy

* Mon Aug 12 2013 guillomovitch <guillomovitch> 1.4.32-5.mga4
+ Revision: 465650
- fix PID file location (#10447)

* Sat Jul 20 2013 danf <danf> 1.4.32-4.mga4
+ Revision: 456633
- added mod_geoip module for geographic IP address lookup
- created a directory /var/cache/lighttpd/compress for the compress module so
  compress caching works out of the box
- created a daily cron job to clean the compress cache

* Sat Jan 12 2013 umeabot <umeabot> 1.4.32-3.mga3
+ Revision: 358788
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 1.4.32-2.mga3
+ Revision: 323695
- rebuild for new pcre

* Fri Nov 23 2012 fwang <fwang> 1.4.32-1.mga3
+ Revision: 321209
- new version 1.4.32

* Wed Aug 15 2012 guillomovitch <guillomovitch> 1.4.31-3.mga3
+ Revision: 281433
- don't ship /var/www, it is already in webserver-base

* Tue Aug 14 2012 guillomovitch <guillomovitch> 1.4.31-2.mga3
+ Revision: 281318
- drop sysinit support

* Fri Jun 01 2012 fwang <fwang> 1.4.31-1.mga3
+ Revision: 252639
- new version 1.4.31

* Sat Apr 28 2012 tmb <tmb> 1.4.30-5.mga2
+ Revision: 233769
- Require rpm-helper >= 0.24.8-1 for systemd support

* Wed Apr 18 2012 pterjan <pterjan> 1.4.30-4.mga2
+ Revision: 231280
- Add LSB header to initscript

* Thu Mar 15 2012 guillomovitch <guillomovitch> 1.4.30-3.mga2
+ Revision: 223520
- ship additional sample configuration files
- add php configuration file from fedora package

* Mon Mar 12 2012 guillomovitch <guillomovitch> 1.4.30-2.mga2
+ Revision: 222895
- add systemd support
- spec cleanup
- no need for apache, just for webserver-base

* Sun Dec 18 2011 fwang <fwang> 1.4.30-1.mga2
+ Revision: 183915
- new version 1.4.30

* Tue Dec 06 2011 fwang <fwang> 1.4.29-3.mga2
+ Revision: 177188
- sync with stable 1 patches

* Sun Sep 18 2011 dmorgan <dmorgan> 1.4.29-2.mga2
+ Revision: 144690
- Change apache-conf require

* Tue Jul 05 2011 fwang <fwang> 1.4.29-1.mga2
+ Revision: 118585
- update file list
- new version 1.4.29

* Tue Mar 29 2011 rtp <rtp> 1.4.28-6.mga1
+ Revision: 78842
- add missing configuration files (#539)
- fix some rpmlint warnings

* Thu Mar 24 2011 ennael <ennael> 1.4.28-5.mga1
+ Revision: 76946
- clean spec file
- imported package lighttpd


* Thu Mar 17 2011 Oden Eriksson <oeriksson@mandriva.com> 1.4.28-5mdv2011.0
+ Revision: 645811
- relink against libmysqlclient.so.18

* Sat Jan 01 2011 Oden Eriksson <oeriksson@mandriva.com> 1.4.28-4mdv2011.0
+ Revision: 627254
- rebuilt against mysql-5.5.8 libs, again

* Thu Dec 30 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.28-3mdv2011.0
+ Revision: 626533
- rebuilt against mysql-5.5.8 libs

* Mon Aug 23 2010 Funda Wang <fwang@mandriva.org> 1.4.28-1mdv2011.0
+ Revision: 572097
- new version 1.4.28

* Sat Aug 14 2010 Funda Wang <fwang@mandriva.org> 1.4.27-1mdv2011.0
+ Revision: 569507
- fix file list
- New version 1.4.27 (patch0 fixed upstream)

* Tue May 11 2010 Pascal Terjan <pterjan@mandriva.org> 1.4.26-3mdv2010.1
+ Revision: 544530
- Fix for updated openssl (#59208)

* Mon Apr 19 2010 Funda Wang <fwang@mandriva.org> 1.4.26-2mdv2010.1
+ Revision: 536628
- rebuild

* Mon Feb 08 2010 Funda Wang <fwang@mandriva.org> 1.4.26-1mdv2010.1
+ Revision: 502219
- New version 1.4.26

* Tue Feb 02 2010 Funda Wang <fwang@mandriva.org> 1.4.25-3mdv2010.1
+ Revision: 499545
- add patch fixing CVE-2010-0295

* Mon Dec 14 2009 Pascal Terjan <pterjan@mandriva.org> 1.4.25-2mdv2010.1
+ Revision: 478609
- Require apache-conf

* Sat Nov 21 2009 Funda Wang <fwang@mandriva.org> 1.4.25-1mdv2010.1
+ Revision: 468541
- new version 1.4.25

* Tue Nov 10 2009 Michael Scherer <misc@mandriva.org> 1.4.24-1mdv2010.1
+ Revision: 463910
- update to 1.4.24

* Sun Jun 21 2009 Funda Wang <fwang@mandriva.org> 1.4.23-1mdv2010.0
+ Revision: 387545
- fix file list
- New version 1.4.23

* Thu Jun 04 2009 Pascal Terjan <pterjan@mandriva.org> 1.4.22-2mdv2010.0
+ Revision: 382818
- Improve logrotate config (#51405)

* Sun Mar 08 2009 Frederik Himpe <fhimpe@mandriva.org> 1.4.22-1mdv2009.1
+ Revision: 352794
- update to new version 1.4.22

* Tue Feb 17 2009 Jérôme Soyer <saispo@mandriva.org> 1.4.21-1mdv2009.1
+ Revision: 341579
- New upstream release

* Sat Dec 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.19-5mdv2009.1
+ Revision: 311337
- rebuilt against mysql-5.1.30 libs

* Sun Sep 28 2008 Frederik Himpe <fhimpe@mandriva.org> 1.4.19-4mdv2009.0
+ Revision: 289026
- Sync patches with Debian (including 4 security patches)

* Mon Jul 28 2008 Thierry Vignaud <tv@mandriva.org> 1.4.19-3mdv2009.0
+ Revision: 250768
- rebuild

* Wed Mar 19 2008 Frederik Himpe <fhimpe@mandriva.org> 1.4.19-1mdv2008.1
+ Revision: 189024
- New upstream release which fixes a few security problems:
  http://www.lighttpd.net/2008/3/10/1-4-19-made-in-germany

* Fri Mar 07 2008 Pascal Terjan <pterjan@mandriva.org> 1.4.18-2mdv2008.1
+ Revision: 181394
- Run under apache user and not root

  + Thierry Vignaud <tv@mandriva.org>
    - fix description-line-too-long
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 13 2007 Pascal Terjan <pterjan@mandriva.org> 1.4.18-1mdv2008.0
+ Revision: 84836
- update to new version 1.4.18

* Wed Sep 05 2007 Pascal Terjan <pterjan@mandriva.org> 1.4.17-1mdv2008.0
+ Revision: 79925
- 1.4.17

* Thu Jul 26 2007 Pascal Terjan <pterjan@mandriva.org> 1.4.16-1mdv2008.0
+ Revision: 55897
- update to new version 1.4.16
- Correctly sort the recent modules as they appear in the description
- Update URL

* Fri Apr 20 2007 Pascal Terjan <pterjan@mandriva.org> 1.4.15-1mdv2008.0
+ Revision: 15224
- 1.4.15
- add mod_extforward to the base package


* Mon Nov 13 2006 Pascal Terjan <pterjan@mandriva.org> 1.4.13-1mdv2007.0
+ Revision: 83774
- Do not require sed in macro expansion
- Add mod_magnet
- 1.4.13
- Fix Summaries and Descriptions (#25782)
  Patch from Serge Demonchaux
- Import lighttpd

* Thu Jun 08 2006 Pascal Terjan <pterjan@mandriva.org> 1.4.11-2mdv2007.0
- Don't split base modules as they are needed
- Ship /var/www/html

* Sat Mar 11 2006 Pascal Terjan <pterjan@mandriva.org> 1.4.11-1mdk
- 1.4.11

* Thu Feb 09 2006 Pascal Terjan <pterjan@mandriva.org> 1.4.10-1mdk
- 1.4.10

* Mon Jan 16 2006 Pascal Terjan <pterjan@mandriva.org> 1.4.9-1mdk
- 1.4.9

* Wed Jan 11 2006 Pascal Terjan <pterjan@mandriva.org> 1.4.8-2mdk
- lib64 fix

* Sun Dec 11 2005 Pascal Terjan <pterjan@mandriva.org> 1.4.8-1mdk
- 1.4.7

* Fri Nov 18 2005 Pascal Terjan <pterjan@mandriva.org> 1.4.7-1mdk
- 1.4.7

* Mon Oct 03 2005 Pascal Terjan <pterjan@mandriva.org> 1.4.4-1mdk
- first version

